<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


$hosts=array(
	'local' 		=> 'localhost',
	'production' 	=> 'www.ekain.info'
);
$langs=array(array('es','Castellano'));
$lngs=array(
	'es'=>array('code'=>'es-ES', 'name'=>'Castellano', 'icon'=>'es.png'),
	'eu'=>array('code'=>'eu', 'name'=>'Euskara', 'icon'=>'eu.png')
);
$EKL=array();												
$prefs=array();												
define('SYS_USER_LOCALE','es');
$deflang="es";												
$lang='';													
$environment=array_search($_SERVER['HTTP_HOST'], $hosts);	
$sessname="sanmarkocms";									

define('DB_CONN_SET_NAMES','utf8');							
define('DB_CONN_GET_NAMES','_utf8');						

define('SYS_SAME_ACCOUNT_MULT_SESSIONS',true);				



switch($environment){
	case 'local':
		define("DB_CONN_HOST","localhost");					
		define("DB_CONN_DDBB","conciliacion");				
		define("DB_CONN_USER","xxxxxxxxxx");						
		define("DB_CONN_PASS","xxxxxxxxxx");				
		
		define("BASE_PATH", 				"http://localhost/conciliacion/");
		define("BASE_PATH_WEB", 			"http://localhost/conciliacion/pruebas/");
		define("BASE_PATH_ASSETS", 			"http://localhost/conciliacion/assets/");
		
		error_reporting(E_ALL ^ E_NOTICE);
		ini_set('error_reporting', E_ALL ^ E_NOTICE);
		ini_set('display_errors', "on");
		
		define('SYS_MAILER_FROM',			'pruebas@hosting-sys.net');
		define('SYS_MAILER_FROMNAME',		'Sanmarko.net pruebas');
		define('SYS_MAILER_SMTPSERVER',		'smtp.hosting-sys.net');
		define('SYS_MAILER_USER',			'xxxxxxxxxx');
		define('SYS_MAILER_PASSWORD',		'xxxxxxxxxx');
		define('SYS_MAILER_REPPLY_TO',		'pruebas@hosting-sys.net');
		define('SYS_MAILER_ADMIN',			'xxxxxx@xxxxxx.xxx');			
		define('SYS_MAILER_ADMIN_NAME',		'Admin Sanmarko.net pruebas');
		break;
		
	case 'production':
		define("DB_CONN_HOST","100.100.100.100");				
		define("DB_CONN_DDBB","c1_conciliacion");			
		define("DB_CONN_USER","c1_conciliacion");			
		define("DB_CONN_PASS","xxxxxxxxxx");				
		
		define("BASE_PATH", 				"http://www.ekain.info/sanmarko/");
		define("BASE_PATH_WEB", 			"http://www.ekain.info/sanmarko/conciliacion/");
		define("BASE_PATH_ASSETS", 			"http://www.ekain.info/sanmarko/assets/");
		
		error_reporting(E_ALL);
		ini_set('error_reporting', E_ALL);
		ini_set('display_errors', "off");
		
		define('SYS_MAILER_FROM',			'sanmarko@ekain.info');
		define('SYS_MAILER_FROMNAME',		"Sanmarko.net");
		define('SYS_MAILER_SMTPSERVER',		'mail.ekain.info');
		define('SYS_MAILER_USER',			'sanmarko@ekain.info');
		define('SYS_MAILER_PASSWORD',		'xxxxxxxxxx');
		define('SYS_MAILER_REPPLY_TO',		'sanmarko@ekain.info');
		define('SYS_MAILER_ADMIN',			'sanmarko@ekain.info');			
		define('SYS_MAILER_ADMIN_NAME',		'Admin Sanmarko.net');
		break;
}


define('SYS_SESSION_TABLE','smk_z_sesiones');			
define('SYS_USERS_TABLE','smk_z_usuarios');				
define('SYS_GROUPS_TABLE','smk_z_grupos');				
define('SYS_PERMISSIONS_TABLE','smk_z_permisos');		
define('SYS_RESOURCES_TABLE','smk_z_recursos');			
define('SYS_ACCESS_LOG','smk_z_hist_accesos');			
define('SYS_LOG_TABLE','smk_z_log');					
define('SYS_MEDIA_TABLE','smk_z_media');				
define('SYS_HELP_TABLE','smk_z_help');					
define('SYS_PREFS_TABLE','smk_z_preferencias');			
define('SYS_ACTIONS_TABLE','smk_z_actions');			


define('STR_SEPARATOR','{@@@}');								
define('STR_LANG_SEPARATOR','###');								
define('SYS_SESSION_TIMEOUT',90);								
define('SYS_HTTP_PATH','http://localhost');						
define('SYS_BASE_PATH','/');									
define('SYS_BASE_UPLOAD','assets/');							
define('SYS_TEMP_UPLOADS','assets/tempfiles/');					
																
define('SYS_DEFAULT_LANGUAGE',0);								
define('SYS_USER_STYLES_PATH','resources/themes/default/');		
define('SYS_APP_ENCODING','iso-8859-1');						
define('SYS_APP_SESSNAME','sanmarkocms');						
define('SYS_LOG_OPS',TRUE);										
define('SYS_TIMER_LAPSE',				60);							
define('SYS_BULKMAIL_LIMIT',			400);							
define('SYS_BULKMAIL_TIMER',			4000);							




define('SYS_APP_NAME','Sanmarko: entorno de gestión');		
define('SYS_APP_TITLE','Sanmarko: entorno de gestión');		
define('SYS_APP_LOGO','san-marko3.png');							
define('SYS_APP_URL_NOPROT','sanmarko');							
define('SYS_APP_URL_PROT','http://www.sanmarkos.net');


define('TECH_NAME','Carlos');
define('TECH_SURNAME','Naucler Vélez');
define('TECH_NICK','tecnico');
define('TECH_ACCESS','658180dce582c98c2d66a44ff5a3ba3157adf020');
define('TECH_EMAIL','carlos@eustotem.com');
define('TECH_TEL','610390467');



define('UI_THEME','Aristo');

define('EDITOR_CONTENT_CSS','gestor.css');
define('EDITOR_DEF_CONFIG',
		'mode : "textareas",
		theme : "advanced",
		editor_selector : "edit_default",
		plugins:"table,paste,fullscreen,pagebreak",
		theme_advanced_buttons3_add : "pasteword,fullscreen,separator,tablecontrols,separator,pagebreak",
		paste_auto_cleanup_on_paste:true,
		paste_convert_middot_lists:true,
		apply_source_formatting : true,
		language:"'.SYS_USER_LOCALE.'",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_path_location : "bottom",
		theme_advanced_resize_horizontal : false,
		theme_advanced_resizing : true,
		theme_advanced_blockformats : "p,h1,h2,h3,h4,h5,pre",
		theme_advanced_styles : "Caja 328 px=caja328px;Caja 375 px=caja375px;Caja 750 px=caja750px;Forzar nueva línea=clr;Imagen flotante izda=floated;Imagen flotante dcha=floatedright;Centrar contenido=centrar-imagen;Subtítulo=subtitulo;Párrafo destacado=parrafo-destacado;Texto cambiado=texto_cambiado",
		content_css : "../admin/resources/'.EDITOR_CONTENT_CSS.'",
		height:"300",
		width:"100%",
		dialog_type : "modal",
		convert_urls : false,
		force_br_newlines : false,
		fix_list_elements : true,
		extended_valid_elements : "iframe[src|style|width|height|scrolling|marginwidth|marginheight|frameborder],script[type|src],div[class|id]",
		document_base_url: "../../../../../es/",
		button_tile_map : true,
		pagebreak_separator : "<div class=\'clr\' />",
		onchange_callback: "writeLangEd",
		file_browser_callback : "elFinderBrowser"
');

define('CAL_START_WEEKDAY',1);
define('CAL_DATE_FORMAT','d/m/Y');
define('CAL_DATETIME_FORMAT','d/m/Y H:i:s');
define('CAL_TIME_FORMAT','H:i:s');

define('YAHOO_MAPS_ID','lzN3rBvV34GBlTGvucdtAZn6JVvBUHLLGRjiwBgb5vPyMNYUaEY1aWadnZzJYPE-');
define('TWITTER_KEY','XXXXXXXXXXXXXXXXXXXXXXXXXX');
define('FACEBOOK_KEY','XXXXXXXXXXXXXXXXXXXXXXXXXX');


define('APP_VERSION', '1.0.0');
define('APP_REPO','http://www.ekain.info/conciliacion/');
define('APP_REPO_NAME', 'Conciliacion');
?>